Google Web Toolkit (Beta)
Search this site:

# projectCreator

Generates an Ant buildfile or Eclipse project.

`projectCreator [-ant projectName] [-eclipse projectName] [-out dir] [-overwrite] [-ignore]`

`-ant` | Generate an Ant buildfile to compile source (`.ant.xml` will be appended)
`-eclipse` | Generate an eclipse project
`-out` | The directory to write output files into (defaults to current)
`-overwrite` | Overwrite any existing files
`-ignore` | Ignore any existing files; do not overwrite

## Example

     ~/Foo> projectCreator -ant Foo -eclipse Foo
     Created directory src
     Created directory test
     Created file Foo.ant.xml
     Created file .project
     Created file .classpath

Running `ant -f Foo.ant.xml` will compile `src` into `bin`. The buildfile also contains a `package` target for bundling the project into a jar.

`.project` can be imported into an Eclipse workspace.